Loading...
Searching...
No Matches
crc32gen.c File Reference

Osmocom generic CRC routines (for max 32 bits poly). More...

`#include <stdint.h>`
`#include "config.h"`
`#include <osmocom/core/bits.h>`
`#include <osmocom/core/crc32gen.h>`

## Functions

uint32_t | osmo_crc32gen_compute_bits (const struct osmo_crc32gen_code *code, const ubit_t *in, int len)
| Compute the CRC value of a given array of hard-bits.
int | osmo_crc32gen_check_bits (const struct osmo_crc32gen_code *code, const ubit_t *in, int len, const ubit_t *crc_bits)
| Checks the CRC value of a given array of hard-bits.
void | osmo_crc32gen_set_bits (const struct osmo_crc32gen_code *code, const ubit_t *in, int len, ubit_t *crc_bits)
| Computes and writes the CRC value of a given array of bits.

## Detailed Description

Osmocom generic CRC routines (for max 32 bits poly).